import { ViewPanelProps } from '../Components/SharedProps/ViewPanelProps';
import * as InternalRedux from '../../Redux/ActionsReducers/InternalRedux';
import * as React from 'react';
import { DataSet } from '../../types';
export interface DataSetViewPanelComponentProps extends ViewPanelProps {
    CurrentDataSetName: string;
    onSelectDataSet: (dataSet: DataSet) => InternalRedux.DataSetSelectAction;
}
interface DataSetViewPanelComponentState {
    CurrentDataSet: DataSet;
}
declare class DataSetViewPanelComponent extends React.Component<DataSetViewPanelComponentProps, DataSetViewPanelComponentState> {
    getCurrentDataSet(): DataSet;
    getDataSets(): DataSet[];
    render(): React.JSX.Element;
    onSelectedDataSetChanged(dataSetName: string): void;
}
export declare let DataSetViewPanelControl: import("react-redux").ConnectedComponent<typeof DataSetViewPanelComponent, {
    key?: React.Key | null | undefined;
    ref?: React.Ref<DataSetViewPanelComponent>;
    context?: React.Context<import("react-redux").ReactReduxContextValue<any, import("redux").UnknownAction>>;
    store?: import("redux").Store;
}>;
export {};
